
#ifndef _ECHONET_CONSTS_H_
#define _ECHONET_CONSTS_H_

// This file is generated automaticaly

#define ECHONET_LITE_DEFAULT_GET_PROPERTY_MAP 0x9d, 0x9e, 0x9f

typedef enum
{
    SetI = 0x60,
    SetC = 0x61,
    Get = 0x62,
    INF_REQ = 0x63,
    SetGet = 0x64,
    Set_Res = 0x71,
    Get_Res = 0x72,

    INF = 0x73,
    INFC = 0x74,
    INFC_Res = 0x7A,
    SetGet_Res = 0x7E,

    SetI_SNA = 0x50,
    SetC_SNA = 0x51,
    Get_SNA = 0x52,
    INF_SNA = 0x53,
    SetGet_SNA = 0x5E,
} EchonetService;

typedef enum
{
    EOJCommon = 0x0000,
    EOJNodeProfile = 0x0EF0,
    EOJEmergencyButton = 0x0003,
    EOJHumanDetectionSensor = 0x0007,
    EOJTemperatureSensor = 0x0011,
    EOJHumiditySensor = 0x0012,
    EOJBathHeatingStatusSensor = 0x0016,
    EOJCo2Sensor = 0x001B,
    EOJVocSensor = 0x001D,
    EOJElectricEnergySensor = 0x0022,
    EOJCurrentSensor = 0x0023,
    EOJIlluminanceSensor = 0x00D0,
    EOJHomeAirConditioner = 0x0130,
    EOJVentilationFan = 0x0133,
    EOJAirConditionerVentilationFan = 0x0134,
    EOJAirCleaner = 0x0135,
    EOJCommercialAirConditionerIndoorUnit = 0x0156,
    EOJCommercialAirConditionerOutdoorUnit = 0x0157,
    EOJElectricRainDoor = 0x0263,
    EOJElectricWaterHeater = 0x026B,
    EOJElectricLock = 0x026F,
    EOJInstantaneousWaterHeater = 0x0272,
    EOJBathroomHeaterDryer = 0x0273,
    EOJPvPowerGeneration = 0x0279,
    EOJColdOrHotWaterHeatSourceEquipment = 0x027A,
    EOJFloorHeater = 0x027B,
    EOJFuelCell = 0x027C,
    EOJStorageBattery = 0x027D,
    EOJEvChargerDischarger = 0x027E,
    EOJWattHourMeter = 0x0280,
    EOJWaterFlowMeter = 0x0281,
    EOJGasMeter = 0x0282,
    EOJPowerDistributionBoardMetering = 0x0287,
    EOJLvSmartElectricEnergyMeter = 0x0288,
    EOJHvSmartElectricEnergyMeter = 0x028A,
    EOJSmartElectricEnergySubMeter = 0x028D,
    EOJGeneralLighting = 0x0290,
    EOJMonoFunctionalLighting = 0x0291,
    EOJEvCharger = 0x02A1,
    EOJLightingSystem = 0x02A3,
    EOJEnhancedLightingSystem = 0x02A4,
    EOJHybridWaterHeater = 0x02A6,
    EOJRefrigerator = 0x03B7,
    EOJCookingHeater = 0x03B9,
    EOJRiceCooker = 0x03BB,
    EOJCommercialShowcase = 0x03CE,
    EOJWasherDryer = 0x03D3,
    EOJCommercialShowcaseOutdoorUnit = 0x03D4,
    EOJSwitch = 0x05FD,
    EOJController = 0x05FF,
    EOJTv = 0x0602,
} EchonetObjectClass;

typedef enum
{
    EPCCommonOperationStatus = 0x80,
    EPCCommonInstallationLocation = 0x81,
    EPCCommonProtocol = 0x82,
    EPCCommonId = 0x83,
    EPCCommonInstantaneousElectricPowerConsumption = 0x84,
    EPCCommonConsumedCumulativeElectricEnergy = 0x85,
    EPCCommonManufacturerFaultCode = 0x86,
    EPCCommonCurrentLimit = 0x87,
    EPCCommonFaultStatus = 0x88,
    EPCCommonFaultDescription = 0x89,
    EPCCommonManufacturer = 0x8A,
    EPCCommonBusinessFacilityCode = 0x8B,
    EPCCommonProductCode = 0x8C,
    EPCCommonSerialNumber = 0x8D,
    EPCCommonProductionDate = 0x8E,
    EPCCommonPowerSaving = 0x8F,
    EPCCommonLocationInformation = 0x93,
    EPCCommonRemoteControl = 0x93,
    EPCCommonDEL = 0x9F,
    EPCCommonCurrentDateAndTime = 0x98,
    EPCCommonPowerLimit = 0x99,
    EPCCommonHourMeter = 0x9A,
    EPCNodeProfileOperatingStatus = 0x80,
    EPCNodeProfileVersion = 0x82,
    EPCNodeProfileId = 0x83,
    EPCNodeProfileFaultStatus = 0x88,
    EPCNodeProfileFaultDescription = 0x89,
    EPCNodeProfileManufacturerMC = 0x8A,
    EPCNodeProfileBusinessFacilityCode = 0x8B,
    EPCNodeProfileProductCode = 0x8C,
    EPCNodeProfileSerialNumber = 0x8D,
    EPCNodeProfileProductionDate = 0x8E,
    EPCNodeProfileDEL = 0x9F,
    EPCNodeProfileUid = 0xBF,
    EPCNodeProfileSelfNodeInstances = 0xD3,
    EPCNodeProfileSelfNodeClasses = 0xD4,
    EPCNodeProfileInstanceListNotification = 0xD5,
    EPCNodeProfileSelfNodeInstanceListS = 0xD6,
    EPCNodeProfileSelfNodeClassListS = 0xD7,
    EPCEmergencyButtonOccurrenceOfEmergency = 0xB1,
    EPCEmergencyButtonReset = 0xBF,
    EPCHumanDetectionSensorThresholdLevel = 0xB0,
    EPCHumanDetectionSensorDetection = 0xB1,
    EPCTemperatureSensorValue = 0xE0,
    EPCHumiditySensorValue = 0xE0,
    EPCBathHeatingStatusSensorThresholdLevel = 0xB0,
    EPCBathHeatingStatusSensorDetection = 0xB1,
    EPCCo2SensorValue = 0xE0,
    EPCVocSensorThresholdLevel = 0xB0,
    EPCVocSensorDetection = 0xB1,
    EPCVocSensorValue = 0xE0,
    EPCElectricEnergySensorCumulativeElectricEnergy = 0xE0,
    EPCElectricEnergySensorMediumCapacitySensorValue = 0xE1,
    EPCElectricEnergySensorSmallCapacitySensorValue = 0xE2,
    EPCElectricEnergySensorLargeCapacitySensorValue = 0xE3,
    EPCElectricEnergySensorLog = 0xE4,
    EPCElectricEnergySensorEffectiveVoltageValue = 0xE5,
    EPCCurrentSensorUnsignedValue = 0xE0,
    EPCCurrentSensorRatedVoltage = 0xE1,
    EPCCurrentSensorSignedValue = 0xE2,
    EPCIlluminanceSensorValueInLux = 0xE0,
    EPCIlluminanceSensorValueInKlux = 0xE1,
    EPCHomeAirConditionerOperationStatus = 0x80,
    EPCHomeAirConditionerPowerSavingOperation = 0x8F,
    EPCHomeAirConditionerOnTimerReservation = 0x90,
    EPCHomeAirConditionerTimeOfOnTimer = 0x91,
    EPCHomeAirConditionerRelativeTimeOfOnTimer = 0x92,
    EPCHomeAirConditionerOffTimerReservation = 0x94,
    EPCHomeAirConditionerTimeOfOffTimer = 0x95,
    EPCHomeAirConditionerRelativeTimeOfOffTimer = 0x96,
    EPCHomeAirConditionerAirFlowLevel = 0xA0,
    EPCHomeAirConditionerAutomaticControlAirFlowDirection = 0xA1,
    EPCHomeAirConditionerAutomaticSwingAirFlow = 0xA3,
    EPCHomeAirConditionerAirFlowDirectionVertical = 0xA4,
    EPCHomeAirConditionerAirFlowDirectionHorizontal = 0xA5,
    EPCHomeAirConditionerSpecialState = 0xAA,
    EPCHomeAirConditionerNonPriorityState = 0xAB,
    EPCHomeAirConditionerOperationMode = 0xB0,
    EPCHomeAirConditionerAutomaticTemperatureControl = 0xB1,
    EPCHomeAirConditionerHighspeedOperation = 0xB2,
    EPCHomeAirConditionerTargetTemperature = 0xB3,
    EPCHomeAirConditionerRelativeHumidityDehumidifying = 0xB4,
    EPCHomeAirConditionerTargetTemperatureCooling = 0xB5,
    EPCHomeAirConditionerTargetTemperatureHeating = 0xB6,
    EPCHomeAirConditionerTargetTemperatureDehumidifying = 0xB7,
    EPCHomeAirConditionerRatedPowerConsumption = 0xB8,
    EPCHomeAirConditionerCurrentConsumption = 0xB9,
    EPCHomeAirConditionerHumidity = 0xBA,
    EPCHomeAirConditionerRoomTemperature = 0xBB,
    EPCHomeAirConditionerTemperatureUserRemoteControl = 0xBC,
    EPCHomeAirConditionerAirFlowTemperature = 0xBD,
    EPCHomeAirConditionerOutdoorTemperature = 0xBE,
    EPCHomeAirConditionerRelativeTemperature = 0xBF,
    EPCHomeAirConditionerVentilationFunction = 0xC0,
    EPCHomeAirConditionerHumidifierFunction = 0xC1,
    EPCHomeAirConditionerVentilationAirFlowLevel = 0xC2,
    EPCHomeAirConditionerHumidificationLevel = 0xC4,
    EPCHomeAirConditionerAirCleaningMethod = 0xC6,
    EPCHomeAirConditionerAirPurifierFunction = 0xC7,
    EPCHomeAirConditionerAirRefreshMethod = 0xC8,
    EPCHomeAirConditionerAirRefresherFunction = 0xC9,
    EPCHomeAirConditionerSelfCleaningMethod = 0xCA,
    EPCHomeAirConditionerSelfCleaningFunction = 0xCB,
    EPCHomeAirConditionerSpecialFunction = 0xCC,
    EPCHomeAirConditionerComponentsOperationStatus = 0xCD,
    EPCHomeAirConditionerThermostatOverride = 0xCE,
    EPCHomeAirConditionerAirPurification = 0xCF,
    EPCHomeAirConditionerBeepBuzzer = 0xD0,
    EPCVentilationFanOperationStatus = 0x80,
    EPCVentilationFanAirFlowLevel = 0xA0,
    EPCVentilationFanAutomaticVentilationOperation = 0xBF,
    EPCAirConditionerVentilationFanOperationStatus = 0x80,
    EPCAirConditionerVentilationFanAirFlowLevel = 0xA0,
    EPCAirConditionerVentilationFanVentilationModeAuto = 0xB0,
    EPCAirConditionerVentilationFanVentilationMethod = 0xB1,
    EPCAirConditionerVentilationFanVentilationMode = 0xB2,
    EPCAirConditionerVentilationFanHighlowLevel = 0xB3,
    EPCAirConditionerVentilationFanTargetHumidity = 0xB4,
    EPCAirConditionerVentilationFanCurrentConsumption = 0xB9,
    EPCAirConditionerVentilationFanHumidity = 0xBA,
    EPCAirConditionerVentilationFanOutdoorTemperature = 0xBE,
    EPCAirConditionerVentilationFanVentilationAuto = 0xBF,
    EPCAirConditionerVentilationFanCo2Concentration = 0xC0,
    EPCAirConditionerVentilationFanSmokeDetection = 0xC1,
    EPCAirConditionerVentilationFanPollutionDetection = 0xC2,
    EPCAirConditionerVentilationFanOutdoorHumidity = 0xCA,
    EPCAirConditionerVentilationFanReturnAirTemperature = 0xD0,
    EPCAirConditionerVentilationFanReturnAirHumidity = 0xD1,
    EPCAirConditionerVentilationFanChargingAirTemperature = 0xD2,
    EPCAirConditionerVentilationFanChargingAirHumidity = 0xD3,
    EPCAirConditionerVentilationFanDischargingAirTemperature = 0xD4,
    EPCAirConditionerVentilationFanDischargingAirHumidity = 0xD5,
    EPCAirConditionerVentilationFanHeatExchangerOperationStatus = 0xE0,
    EPCAirCleanerOperationStatus = 0x80,
    EPCAirCleanerAirFlowLevel = 0xA0,
    EPCAirCleanerAirPollutionDetection = 0xC0,
    EPCAirCleanerSmokeDetection = 0xC1,
    EPCAirCleanerOpticalCatalystOperationStatus = 0xC2,
    EPCAirCleanerFilterChangeNotice = 0xE1,
    EPCCommercialAirConditionerIndoorUnitOperationStatus = 0x80,
    EPCCommercialAirConditionerIndoorUnitThermostatState = 0xAC,
    EPCCommercialAirConditionerIndoorUnitAutomaticOperationModeStatus = 0xAE,
    EPCCommercialAirConditionerIndoorUnitOperationMode = 0xB0,
    EPCCommercialAirConditionerIndoorUnitTargetTemperature = 0xB3,
    EPCCommercialAirConditionerIndoorUnitRoomTemperature = 0xBB,
    EPCCommercialAirConditionerIndoorUnitGroupInformation = 0xCA,
    EPCCommercialAirConditionerIndoorUnitPowerConsumption = 0xDB,
    EPCCommercialAirConditionerOutdoorUnitSpecialState = 0xAB,
    EPCCommercialAirConditionerOutdoorUnitRatedPowerConsumption = 0xB8,
    EPCCommercialAirConditionerOutdoorUnitOutdoorTemperature = 0xBE,
    EPCCommercialAirConditionerOutdoorUnitGroupInformation = 0xCA,
    EPCCommercialAirConditionerOutdoorUnitPowerConsumption = 0xDB,
    EPCCommercialAirConditionerOutdoorUnitPowerConsumptionWillBeSaved = 0xDD,
    EPCCommercialAirConditionerOutdoorUnitPowerConsumptionLimit = 0xDE,
    EPCCommercialAirConditionerOutdoorUnitRestrictedMinimumPowerConsumption = 0xDF,
    EPCElectricRainDoorFaultDescription = 0x89,
    EPCElectricRainDoorTimerOperationMode = 0x90,
    EPCElectricRainDoorOpeningSpeed = 0xD0,
    EPCElectricRainDoorClosingSpeed = 0xD1,
    EPCElectricRainDoorOperationTime = 0xD2,
    EPCElectricRainDoorOpenCloseOperation = 0xE0,
    EPCElectricRainDoorDegreeOfOpening = 0xE1,
    EPCElectricRainDoorBlindAngle = 0xE2,
    EPCElectricRainDoorOpenCloseSpeed = 0xE3,
    EPCElectricRainDoorElectricLock = 0xE5,
    EPCElectricRainDoorRemoteOperation = 0xE8,
    EPCElectricRainDoorSelectiveDegreeOfOpening = 0xE9,
    EPCElectricRainDoorOpenCloseStatus = 0xEA,
    EPCElectricRainDoorSlitDegreeOfOpening = 0xED,
    EPCElectricRainDoorOneTimeOpeningSpeed = 0xEE,
    EPCElectricRainDoorOneTimeClosingSpeed = 0xEF,
    EPCElectricWaterHeaterOnTimerReservation = 0x90,
    EPCElectricWaterHeaterOnTimerTime = 0x91,
    EPCElectricWaterHeaterAutomaticWaterHeating = 0xB0,
    EPCElectricWaterHeaterAutomaticWaterHeatingTemperatureControl = 0xB1,
    EPCElectricWaterHeaterWaterHeatingStatus = 0xB2,
    EPCElectricWaterHeaterTargetWaterHeatingTemperature = 0xB3,
    EPCElectricWaterHeaterHeatingStopDays = 0xB4,
    EPCElectricWaterHeaterRelativeTimeHeatingOff = 0xB5,
    EPCElectricWaterHeaterTankOperationMode = 0xB6,
    EPCElectricWaterHeaterDaytimeReheatingPermission = 0xC0,
    EPCElectricWaterHeaterTankWaterTemperature = 0xC1,
    EPCElectricWaterHeaterAlarmStatus = 0xC2,
    EPCElectricWaterHeaterHotWaterSupplyStatus = 0xC3,
    EPCElectricWaterHeaterRelativeTimeKeepingTemperature = 0xC4,
    EPCElectricWaterHeaterEnergyShiftParticipation = 0xC7,
    EPCElectricWaterHeaterStandardTimeToStartHeating = 0xC8,
    EPCElectricWaterHeaterNumberOfEnergyShifts = 0xC9,
    EPCElectricWaterHeaterWaterHeatingShiftTime1 = 0xCA,
    EPCElectricWaterHeaterEstimatedElectricEnergyAtShiftTime1 = 0xCB,
    EPCElectricWaterHeaterElectricEnergyConsumptionRate1 = 0xCC,
    EPCElectricWaterHeaterWaterHeatingShiftTime2 = 0xCD,
    EPCElectricWaterHeaterEstimatedElectricEnergyAtShiftTime2 = 0xCE,
    EPCElectricWaterHeaterElectricEnergyConsumptionRate2 = 0xCF,
    EPCElectricWaterHeaterTargetSuppliedWaterTemperature = 0xD1,
    EPCElectricWaterHeaterTargetBathWaterTemperature = 0xD3,
    EPCElectricWaterHeaterBathWaterVolume4 = 0xD4,
    EPCElectricWaterHeaterMaximumAllowableWaterVolume4 = 0xD5,
    EPCElectricWaterHeaterVolume = 0xD6,
    EPCElectricWaterHeaterMute = 0xD7,
    EPCElectricWaterHeaterRemainingWaterVolume = 0xD8,
    EPCElectricWaterHeaterSurplusPowerPrediction = 0xD9,
    EPCElectricWaterHeaterWinterRatedPower = 0xDB,
    EPCElectricWaterHeaterBetweenSeasonRatedPower = 0xDC,
    EPCElectricWaterHeaterSummerRatedPower = 0xDD,
    EPCElectricWaterHeaterTargetWaterHeatingVolume = 0xE0,
    EPCElectricWaterHeaterRemainingWater = 0xE1,
    EPCElectricWaterHeaterTankCapacity = 0xE2,
    EPCElectricWaterHeaterAutomaticBathOperation = 0xE3,
    EPCElectricWaterHeaterBathReheatingOperation = 0xE4,
    EPCElectricWaterHeaterBathHotWaterAddition = 0xE5,
    EPCElectricWaterHeaterBathLukewarmWaterFunction = 0xE6,
    EPCElectricWaterHeaterBathWaterVolume1 = 0xE7,
    EPCElectricWaterHeaterBathWaterVolume2 = 0xE8,
    EPCElectricWaterHeaterBathroomPriority = 0xE9,
    EPCElectricWaterHeaterBathOperationStatusMonitor = 0xEA,
    EPCElectricWaterHeaterBathWaterVolume3 = 0xEE,
    EPCElectricLockMainElectricLock = 0xE0,
    EPCElectricLockSubElectricLock = 0xE1,
    EPCElectricLockDoorGuardLocked = 0xE2,
    EPCElectricLockDoorOpened = 0xE3,
    EPCElectricLockOccupant = 0xE4,
    EPCElectricLockAlarmStatus = 0xE5,
    EPCElectricLockAutoLockMode = 0xE6,
    EPCElectricLockReplaceBatteryLevel = 0xE7,
    EPCInstantaneousWaterHeaterOnTimerReservation = 0x90,
    EPCInstantaneousWaterHeaterOnTimerTime = 0x91,
    EPCInstantaneousWaterHeaterOnTimerRelativeTimeSettingValue = 0x92,
    EPCInstantaneousWaterHeaterHotWaterHeatingStatus = 0xD0,
    EPCInstantaneousWaterHeaterTargetSuppliedWaterTemperature = 0xD1,
    EPCInstantaneousWaterHeaterHotWaterWarmerSetting = 0xD2,
    EPCInstantaneousWaterHeaterBathWaterVolume4 = 0xD4,
    EPCInstantaneousWaterHeaterMaximumAllowableWaterVolume4 = 0xD5,
    EPCInstantaneousWaterHeaterVolume = 0xD6,
    EPCInstantaneousWaterHeaterMute = 0xD7,
    EPCInstantaneousWaterHeaterTargetAutomaticOeprationTime = 0xDA,
    EPCInstantaneousWaterHeaterRemainingAutomaticOperationTime = 0xDB,
    EPCInstantaneousWaterHeaterTargetBathWaterTemperature = 0xE1,
    EPCInstantaneousWaterHeaterBathWaterHeatingStatus = 0xE2,
    EPCInstantaneousWaterHeaterAutomaticBathOperation = 0xE3,
    EPCInstantaneousWaterHeaterTargetBathAdditionalBoilupOperation = 0xE4,
    EPCInstantaneousWaterHeaterBathHotWaterAddition = 0xE5,
    EPCInstantaneousWaterHeaterBathLukewarmWaterFunction = 0xE6,
    EPCInstantaneousWaterHeaterBathWaterVolume1 = 0xE7,
    EPCInstantaneousWaterHeaterBathWaterVolume2 = 0xE8,
    EPCInstantaneousWaterHeaterBathroomPriority = 0xE9,
    EPCInstantaneousWaterHeaterShowerHotWaterSupplyStatus = 0xEA,
    EPCInstantaneousWaterHeaterKitchenHotWaterSupplyStatus = 0xEB,
    EPCInstantaneousWaterHeaterHotWaterWarmerOnTimerReservationSetting = 0xEC,
    EPCInstantaneousWaterHeaterTargetHotWaterWarmerOnTimerTime = 0xED,
    EPCInstantaneousWaterHeaterBathWaterVolume3 = 0xEE,
    EPCInstantaneousWaterHeaterBathOperationStatus = 0xEF,
    EPCBathroomHeaterDryerOnTimerReservation1 = 0x90,
    EPCBathroomHeaterDryerTimeOfOnTimer = 0x91,
    EPCBathroomHeaterDryerTimeOfOffTimer = 0x92,
    EPCBathroomHeaterDryerOffTimerReservation = 0x94,
    EPCBathroomHeaterDryerRelativeTimeOfOnTimer = 0x95,
    EPCBathroomHeaterDryerRelativeTimeOfOffTimer = 0x96,
    EPCBathroomHeaterDryerOperationSetting = 0xB0,
    EPCBathroomHeaterDryerVentilationSetting = 0xB1,
    EPCBathroomHeaterDryerBathroomPrewarming = 0xB2,
    EPCBathroomHeaterDryerBathroomHeating = 0xB3,
    EPCBathroomHeaterDryerBathroomDrying = 0xB4,
    EPCBathroomHeaterDryerCoolAirCirculation = 0xB5,
    EPCBathroomHeaterDryerMistSauna = 0xB6,
    EPCBathroomHeaterDryerWaterMist = 0xB7,
    EPCBathroomHeaterDryerBathroomHumidity = 0xBA,
    EPCBathroomHeaterDryerBathroomTemperature = 0xBB,
    EPCBathroomHeaterDryerVentilationAirFlowLevel = 0xC2,
    EPCBathroomHeaterDryerFilterCleaningReminderSign = 0xCF,
    EPCBathroomHeaterDryerHumanBodyDetectionStatus = 0xE0,
    EPCBathroomHeaterDryerOnTimerReservation2 = 0xE1,
    EPCPvPowerGenerationId = 0x83,
    EPCPvPowerGenerationCurrentTime = 0x97,
    EPCPvPowerGenerationCurrentDate = 0x98,
    EPCPvPowerGenerationOutputPowerControl1 = 0xA0,
    EPCPvPowerGenerationOutputPowerControl2 = 0xA1,
    EPCPvPowerGenerationSurplusPurchaseControl = 0xA2,
    EPCPvPowerGenerationOutputPowerControlSchedule = 0xB0,
    EPCPvPowerGenerationUpdateScheduleDateAndTime = 0xB1,
    EPCPvPowerGenerationSurplusPurchaseControlType = 0xB2,
    EPCPvPowerGenerationOutputPowerChangeTime = 0xB3,
    EPCPvPowerGenerationUpperLimitClip = 0xB4,
    EPCPvPowerGenerationOperatingPowerFactor = 0xC0,
    EPCPvPowerGenerationContractType = 0xC1,
    EPCPvPowerGenerationSelfConsumptionType = 0xC2,
    EPCPvPowerGenerationApprovedCapacity = 0xC3,
    EPCPvPowerGenerationConversionCoefficient = 0xC4,
    EPCPvPowerGenerationPowerSystemInterconnectionStatus = 0xD0,
    EPCPvPowerGenerationOutputPowerRestraintStatus = 0xD1,
    EPCPvPowerGenerationInstantaneousElectricPowerGeneration = 0xE0,
    EPCPvPowerGenerationCumulativeElectricEnergyOfGeneration = 0xE1,
    EPCPvPowerGenerationResetCumulativeElectricEnergyOfGeneration = 0xE2,
    EPCPvPowerGenerationCumulativeElectricEnergySold = 0xE3,
    EPCPvPowerGenerationResetCumulativeElectricEnergySold = 0xE4,
    EPCPvPowerGenerationPowerGenerationOutputLimit1 = 0xE5,
    EPCPvPowerGenerationPowerGenerationOutputLimit2 = 0xE6,
    EPCPvPowerGenerationLimitElectricEnergySold = 0xE7,
    EPCPvPowerGenerationRatedElectricPowerOfgeneration = 0xE8,
    EPCPvPowerGenerationRatedElectricPowerOfgenerationIndependent = 0xE9,
    EPCColdOrHotWaterHeatSourceEquipmentOnTimerReservation = 0x90,
    EPCColdOrHotWaterHeatSourceEquipmentTimeOfOnTimer = 0x91,
    EPCColdOrHotWaterHeatSourceEquipmentRelativeTimeOfOnTimer = 0x92,
    EPCColdOrHotWaterHeatSourceEquipmentOffTimerReservation = 0x94,
    EPCColdOrHotWaterHeatSourceEquipmentTimeOfOffTimer = 0x95,
    EPCColdOrHotWaterHeatSourceEquipmentRelativeTimeOfOffTimer = 0x96,
    EPCColdOrHotWaterHeatSourceEquipmentColdWaterTemperatue2MaximumLevel = 0xD1,
    EPCColdOrHotWaterHeatSourceEquipmentWarmWaterTemperatue2MaximumLevel = 0xD2,
    EPCColdOrHotWaterHeatSourceEquipmentOperationMode = 0xE0,
    EPCColdOrHotWaterHeatSourceEquipmentWaterTemperature1 = 0xE1,
    EPCColdOrHotWaterHeatSourceEquipmentWaterTemperature2 = 0xE2,
    EPCColdOrHotWaterHeatSourceEquipmentOutwardWaterTemperatureExit = 0xE3,
    EPCColdOrHotWaterHeatSourceEquipmentInwardWaterTemperatureEntrance = 0xE4,
    EPCColdOrHotWaterHeatSourceEquipmentSpecialOperation = 0xE5,
    EPCColdOrHotWaterHeatSourceEquipmentDailyTimer = 0xE6,
    EPCColdOrHotWaterHeatSourceEquipmentDailyTimer1 = 0xE7,
    EPCColdOrHotWaterHeatSourceEquipmentDailyTimer2 = 0xE8,
    EPCColdOrHotWaterHeatSourceEquipmentRatedPowerconsumption = 0xE9,
    EPCColdOrHotWaterHeatSourceEquipmentPowerConsumptionMeasurementMethod = 0xEA,
    EPCFloorHeaterOperationStatus = 0x80,
    EPCFloorHeaterOnTimerReservation = 0x90,
    EPCFloorHeaterTimeOfOnTimer = 0x91,
    EPCFloorHeaterRelativeTimeOfOnTimer = 0x92,
    EPCFloorHeaterOffTimerReservation = 0x94,
    EPCFloorHeaterTimeOfOffTimer = 0x95,
    EPCFloorHeaterRelativeTimeOfOffTimer = 0x96,
    EPCFloorHeaterMaximumTargetTemperature2 = 0xD1,
    EPCFloorHeaterTargetTemperature1 = 0xE0,
    EPCFloorHeaterTargetTemperature2 = 0xE1,
    EPCFloorHeaterMeasuredRoomTemperature = 0xE2,
    EPCFloorHeaterMeasuredFloorTemperature = 0xE3,
    EPCFloorHeaterControllableZone = 0xE4,
    EPCFloorHeaterSpecialOperationMode = 0xE5,
    EPCFloorHeaterDailyTimer = 0xE6,
    EPCFloorHeaterWorkedDailyTimer1 = 0xE7,
    EPCFloorHeaterWorkedDailyTimer2 = 0xE8,
    EPCFloorHeaterRatedPowerConsumption = 0xE9,
    EPCFloorHeaterPowerMeasurementMethod = 0xEA,
    EPCFuelCellWaterTemperatureInWaterHeater = 0xC1,
    EPCFuelCellRatedElectricPowerOfGeneration = 0xC2,
    EPCFuelCellHeatCapacityOfStorageTank = 0xC3,
    EPCFuelCellInstantaneousElectricPowerOfGeneration = 0xC4,
    EPCFuelCellCumulativeElectricEnergyOfGeneration = 0xC5,
    EPCFuelCellCumulativePowerGenerationOutputReset = 0xC6,
    EPCFuelCellCumulativeEnergyGenerationOutputReset = 0xC6,
    EPCFuelCellInstantaneousGasConsumption = 0xC7,
    EPCFuelCellCumulativeGasConsumption = 0xC8,
    EPCFuelCellCumulativeGasConsumptionReset = 0xC9,
    EPCFuelCellPowerGenerationSetting = 0xCA,
    EPCFuelCellPowerGenerationStatus = 0xCB,
    EPCFuelCellInHouseInstantaneousPowerConsumption = 0xCC,
    EPCFuelCellInHouseCumulativePowerConsumption = 0xCD,
    EPCFuelCellInHouseCumulativeEnergyConsumption = 0xCD,
    EPCFuelCellInHouseCumulativePowerConsumptionReset = 0xCE,
    EPCFuelCellInHouseCumulativeEnergyConsumptionReset = 0xCE,
    EPCFuelCellPowerSystemInterconnectionStatus = 0xD0,
    EPCFuelCellRequestedTimeOfGeneration = 0xD1,
    EPCFuelCellPowerGenerationMode = 0xD2,
    EPCFuelCellRemainingHotWaterAmount = 0xE1,
    EPCFuelCellTankCapacity = 0xE2,
    EPCStorageBatteryId = 0x83,
    EPCStorageBatteryCurrentTime = 0x97,
    EPCStorageBatteryCurrentDate = 0x98,
    EPCStorageBatteryAcEffectiveChargingCapacity = 0xA0,
    EPCStorageBatteryAcEffectiveDischargingCapacity = 0xA1,
    EPCStorageBatteryAcChargeableCapacity = 0xA2,
    EPCStorageBatteryAcDischargeableCapacity = 0xA3,
    EPCStorageBatteryAcChargeableElectricEnergy = 0xA4,
    EPCStorageBatteryAcDischargeableElectricEnergy = 0xA5,
    EPCStorageBatteryAcChargeUpperLimit = 0xA6,
    EPCStorageBatteryAcDischargeLowerLimit = 0xA7,
    EPCStorageBatteryAcCumulativeChargingElectricEnergy = 0xA8,
    EPCStorageBatteryAcCumulativeDischargingElectricEnergy = 0xA9,
    EPCStorageBatteryAcTargetChargingElectricEnergy = 0xAA,
    EPCStorageBatteryAcTargetDischargingElectricEnergy = 0xAB,
    EPCStorageBatteryChargingMethod = 0xC1,
    EPCStorageBatteryDischargingMethod = 0xC2,
    EPCStorageBatteryAcRatedElectricEnergy = 0xC7,
    EPCStorageBatteryMinimumAndMaximumChargingElectricPower = 0xC8,
    EPCStorageBatteryMinimumAndMaximumDischargingElectricPower = 0xC9,
    EPCStorageBatteryMinimumAndMaximumChargingCurrent = 0xCA,
    EPCStorageBatteryMinimumAndMaximumDischargingCurrent = 0xCB,
    EPCStorageBatteryReInterconnectionPermission = 0xCC,
    EPCStorageBatteryOperationPermission = 0xCD,
    EPCStorageBatteryIndependentOperationPermission = 0xCE,
    EPCStorageBatteryActualOperationMode = 0xCF,
    EPCStorageBatteryRatedElectricEnergy = 0xD0,
    EPCStorageBatteryRatedCapacity = 0xD1,
    EPCStorageBatteryRatedVoltage = 0xD2,
    EPCStorageBatteryInstantaneousChargingAndDischargingElectricPower = 0xD3,
    EPCStorageBatteryInstantaneousChargingAndDischargingCurrent = 0xD4,
    EPCStorageBatteryInstantaneousChargingAndDischargingVoltage = 0xD5,
    EPCStorageBatteryCumulativeDischargingElectricEnergy = 0xD6,
    EPCStorageBatteryResetCumulativeDischargingElectricEnergy = 0xD7,
    EPCStorageBatteryCumulativeChargingElectricEnergy = 0xD8,
    EPCStorageBatteryResetCumulativeChargingElectricEnergy = 0xD9,
    EPCStorageBatteryOperationMode = 0xDA,
    EPCStorageBatteryPowerSystemInterconnectionStatus = 0xDB,
    EPCStorageBatteryMinimumAndMaximumChargingPowerAtIndependent = 0xDC,
    EPCStorageBatteryMinimumAndMaximumDischargingPowerAtIndependent = 0xDD,
    EPCStorageBatteryMinimumAndMaximumChargingCurrentAtIndependent = 0xDE,
    EPCStorageBatteryMinimumAndMaximumDischargingCurrentAtIndependent = 0xDF,
    EPCStorageBatteryChargingAndDischargingAmount1 = 0xE0,
    EPCStorageBatteryChargingAndDischargingAmount2 = 0xE1,
    EPCStorageBatteryRemainingCapacity1 = 0xE2,
    EPCStorageBatteryRemainingCapacity2 = 0xE3,
    EPCStorageBatteryRemainingCapacity3 = 0xE4,
    EPCStorageBatteryBatteryHealthState = 0xE5,
    EPCStorageBatteryBatteryType = 0xE6,
    EPCStorageBatteryChargingAmount1 = 0xE7,
    EPCStorageBatteryDischargingAmount1 = 0xE8,
    EPCStorageBatteryChargingAmount2 = 0xE9,
    EPCStorageBatteryDischargingAmount2 = 0xEA,
    EPCStorageBatteryChargingPower = 0xEB,
    EPCStorageBatteryDischargingPower = 0xEC,
    EPCStorageBatteryChargingCurrent = 0xED,
    EPCStorageBatteryDischargingCurrent = 0xEE,
    EPCStorageBatteryRatedVoltageAtIndependent = 0xEF,
    EPCEvChargerDischargerDischargeableCapacity1 = 0xC0,
    EPCEvChargerDischargerDischargeableCapacity2 = 0xC1,
    EPCEvChargerDischargerRemainingDischargeableCapacity1 = 0xC2,
    EPCEvChargerDischargerRemainingDischargeableCapacity2 = 0xC3,
    EPCEvChargerDischargerRemainingDischargeableCapacity3 = 0xC4,
    EPCEvChargerDischargerRatedChargeElectricPower = 0xC5,
    EPCEvChargerDischargerRatedDischargeElectricPower = 0xC6,
    EPCEvChargerDischargerChargeDischargeStatus = 0xC7,
    EPCEvChargerDischargerMinimumAndMaximumChargingElectricPower = 0xC8,
    EPCEvChargerDischargerMinimumAndMaximumDischargingElectricPower = 0xC9,
    EPCEvChargerDischargerMinimumAndMaximumChargingCurrent = 0xCA,
    EPCEvChargerDischargerMinimumAndMaximumDischargingCurrent = 0xCB,
    EPCEvChargerDischargerEquipmentType = 0xCC,
    EPCEvChargerDischargerVehicleConnectionConfirmation = 0xCD,
    EPCEvChargerDischargerChargeableCapacity = 0xCE,
    EPCEvChargerDischargerRemainingChargeableCapacity = 0xCF,
    EPCEvChargerDischargerUsedCapacity1 = 0xD0,
    EPCEvChargerDischargerUsedCapacity2 = 0xD1,
    EPCEvChargerDischargerRatedVoltage = 0xD2,
    EPCEvChargerDischargerInstantaneousElectricPower = 0xD3,
    EPCEvChargerDischargerInstantaneousCurrent = 0xD4,
    EPCEvChargerDischargerInstantaneousVoltage = 0xD5,
    EPCEvChargerDischargerCumulativeDischargingElectricEnergy = 0xD6,
    EPCEvChargerDischargerResetCumulativeDischargingElectricEnergy = 0xD7,
    EPCEvChargerDischargerCumulativeChargingElectricEnergy = 0xD8,
    EPCEvChargerDischargerResetCumulativeChargingElectricEnergy = 0xD9,
    EPCEvChargerDischargerOperationMode = 0xDA,
    EPCEvChargerDischargerPowerSystemInterconnectionStatus = 0xDB,
    EPCEvChargerDischargerChargingMethod = 0xDC,
    EPCEvChargerDischargerDischargingMethod = 0xDD,
    EPCEvChargerDischargerPurchasingElectricPower = 0xDE,
    EPCEvChargerDischargerReInterconnectionPermission = 0xDF,
    EPCEvChargerDischargerChargingDischargingElectricPower = 0xE0,
    EPCEvChargerDischargerRemainingCapacity1 = 0xE2,
    EPCEvChargerDischargerRemainingCapacity2 = 0xE3,
    EPCEvChargerDischargerRemainingCapacity3 = 0xE4,
    EPCEvChargerDischargerMaintenanceStatus = 0xE5,
    EPCEvChargerDischargerVehicleId = 0xE6,
    EPCEvChargerDischargerTargetChargingElectricEnergy1 = 0xE7,
    EPCEvChargerDischargerTargetChargingElectricEnergy2 = 0xE9,
    EPCEvChargerDischargerTargetDischargingElectricEnergy = 0xEA,
    EPCEvChargerDischargerChargingElectricPower = 0xEB,
    EPCEvChargerDischargerDischargingElectricPower = 0xEC,
    EPCEvChargerDischargerChargingCurrent = 0xED,
    EPCEvChargerDischargerDischargingCurrent = 0xEE,
    EPCEvChargerDischargerRatedVoltageOfIndependentOperation = 0xEF,
    EPCWattHourMeterCumulativeElectricEnergy = 0xE0,
    EPCWattHourMeterCumulativeAmountsOfElectricEnergyUnit = 0xE2,
    EPCWattHourMeterCumulativeElectricEnergyLog1 = 0xE3,
    EPCWaterFlowMeterWaterFlowMeterClassification = 0xD0,
    EPCWaterFlowMeterOwnerClassification = 0xD1,
    EPCWaterFlowMeterCumulativeFlowingWater = 0xE0,
    EPCWaterFlowMeterUnitForCumulativeFlowingWater = 0xE1,
    EPCWaterFlowMeterCumulativeFlowingWaterLog = 0xE2,
    EPCWaterFlowMeterAbnormalDetection = 0xE3,
    EPCWaterFlowMeterSecurityDataInformation = 0xE4,
    EPCWaterFlowMeterIdNumber = 0xE5,
    EPCWaterFlowMeterVerificationExpirationInformation = 0xE6,
    EPCGasMeterCumulativeGasConsumption = 0xE0,
    EPCGasMeterCumulativeGasConsumptionLog = 0xE2,
    EPCPowerDistributionBoardMeteringMasterRatedCapacity = 0xB0,
    EPCPowerDistributionBoardMeteringNumberOfMeasurementChannelsSimplex = 0xB1,
    EPCPowerDistributionBoardMeteringChannelRangeForCumulativeElectricPowerConsumptionSimplex = 0xB2,
    EPCPowerDistributionBoardMeteringCumulativeElectricEnergyListSimplex = 0xB3,
    EPCPowerDistributionBoardMeteringChannelRangeForInstantaneousCurrentSimplex = 0xB4,
    EPCPowerDistributionBoardMeteringInstantaneousCurrentListSimplex = 0xB5,
    EPCPowerDistributionBoardMeteringChannelRangeForInstantaneousPowerConsumptionSimplex = 0xB6,
    EPCPowerDistributionBoardMeteringInstantaneousElectricPowerListSimplex = 0xB7,
    EPCPowerDistributionBoardMeteringNumberOfMeasurementChannelsDuplex = 0xB8,
    EPCPowerDistributionBoardMeteringChannelRangeForCumulativeElectricPowerConsumptionDuplex = 0xB9,
    EPCPowerDistributionBoardMeteringCumulativeElectricEnergyListDuplex = 0xBA,
    EPCPowerDistributionBoardMeteringChannelRangeForInstantaneousCurrentDuplex = 0xBB,
    EPCPowerDistributionBoardMeteringInstantaneousCurrentListDuplex = 0xBC,
    EPCPowerDistributionBoardMeteringChannelRangeForInstantaneousPowerConsumptionDuplex = 0xBD,
    EPCPowerDistributionBoardMeteringInstantaneousElectricPowerListDuplex = 0xBE,
    EPCPowerDistributionBoardMeteringNormalDirectionCumulativeElectricEnergy = 0xC0,
    EPCPowerDistributionBoardMeteringReverseDirectionCumulativeElectricEnergy = 0xC1,
    EPCPowerDistributionBoardMeteringUnitForCumulativeElectricEnergy = 0xC2,
    EPCPowerDistributionBoardMeteringNormalDirectionCumulativeElectricEnergyLog = 0xC3,
    EPCPowerDistributionBoardMeteringReverseDirectionCumulativeElectricEnergyLog = 0xC4,
    EPCPowerDistributionBoardMeteringDayForTheHistoricalDataCumulativeElectricEnergy = 0xC5,
    EPCPowerDistributionBoardMeteringInstantaneousElectricPower = 0xC6,
    EPCPowerDistributionBoardMeteringInstantaneousCurrent = 0xC7,
    EPCPowerDistributionBoardMeteringInstantaneousVoltage = 0xC8,
    EPCPowerDistributionBoardMeteringMeasurementChannel1 = 0xD0,
    EPCPowerDistributionBoardMeteringMeasurementChannel2 = 0xD1,
    EPCPowerDistributionBoardMeteringMeasurementChannel3 = 0xD2,
    EPCPowerDistributionBoardMeteringMeasurementChannel4 = 0xD3,
    EPCPowerDistributionBoardMeteringMeasurementChannel5 = 0xD4,
    EPCPowerDistributionBoardMeteringMeasurementChannel6 = 0xD5,
    EPCPowerDistributionBoardMeteringMeasurementChannel7 = 0xD6,
    EPCPowerDistributionBoardMeteringMeasurementChannel8 = 0xD7,
    EPCPowerDistributionBoardMeteringMeasurementChannel9 = 0xD8,
    EPCPowerDistributionBoardMeteringMeasurementChannel10 = 0xD9,
    EPCPowerDistributionBoardMeteringMeasurementChannel11 = 0xDA,
    EPCPowerDistributionBoardMeteringMeasurementChannel12 = 0xDB,
    EPCPowerDistributionBoardMeteringMeasurementChannel13 = 0xDC,
    EPCPowerDistributionBoardMeteringMeasurementChannel14 = 0xDD,
    EPCPowerDistributionBoardMeteringMeasurementChannel15 = 0xDE,
    EPCPowerDistributionBoardMeteringMeasurementChannel16 = 0xDF,
    EPCPowerDistributionBoardMeteringMeasurementChannel17 = 0xE0,
    EPCPowerDistributionBoardMeteringMeasurementChannel18 = 0xE1,
    EPCPowerDistributionBoardMeteringMeasurementChannel19 = 0xE2,
    EPCPowerDistributionBoardMeteringMeasurementChannel20 = 0xE3,
    EPCPowerDistributionBoardMeteringMeasurementChannel21 = 0xE4,
    EPCPowerDistributionBoardMeteringMeasurementChannel22 = 0xE5,
    EPCPowerDistributionBoardMeteringMeasurementChannel23 = 0xE6,
    EPCPowerDistributionBoardMeteringMeasurementChannel24 = 0xE7,
    EPCPowerDistributionBoardMeteringMeasurementChannel25 = 0xE8,
    EPCPowerDistributionBoardMeteringMeasurementChannel26 = 0xE9,
    EPCPowerDistributionBoardMeteringMeasurementChannel27 = 0xEA,
    EPCPowerDistributionBoardMeteringMeasurementChannel28 = 0xEB,
    EPCPowerDistributionBoardMeteringMeasurementChannel29 = 0xEC,
    EPCPowerDistributionBoardMeteringMeasurementChannel30 = 0xED,
    EPCPowerDistributionBoardMeteringMeasurementChannel31 = 0xEE,
    EPCPowerDistributionBoardMeteringMeasurementChannel32 = 0xEF,
    EPCLvSmartElectricEnergyMeterCoefficient = 0xD3,
    EPCLvSmartElectricEnergyMeterNumberOfEffectiveDigitsCumulativeElectricEnergy = 0xD7,
    EPCLvSmartElectricEnergyMeterNormalDirectionCumulativeElectricEnergy = 0xE0,
    EPCLvSmartElectricEnergyMeterUnitForCumulativeElectricEnergy = 0xE1,
    EPCLvSmartElectricEnergyMeterNormalDirectionCumulativeElectricEnergyLog1 = 0xE2,
    EPCLvSmartElectricEnergyMeterReverseDirectionCumulativeElectricEnergy = 0xE3,
    EPCLvSmartElectricEnergyMeterReverseDirectionCumulativeElectricEnergyLog1 = 0xE4,
    EPCLvSmartElectricEnergyMeterDayForTheHistoricalDataOfCumulativeElectricEnergy1 = 0xE5,
    EPCLvSmartElectricEnergyMeterInstantaneousElectricPower = 0xE7,
    EPCLvSmartElectricEnergyMeterInstantaneousCurrent = 0xE8,
    EPCLvSmartElectricEnergyMeterNormalDirectionCumulativeElectricEnergyAtEvery30Min = 0xEA,
    EPCLvSmartElectricEnergyMeterReverseDirectionCumulativeElectricEnergyAtEvery30Min = 0xEB,
    EPCLvSmartElectricEnergyMeterCumulativeElectricEnergyLog2 = 0xEC,
    EPCLvSmartElectricEnergyMeterDayForTheHistoricalDataOfCumulativeElectricEnergy2 = 0xED,
    EPCHvSmartElectricEnergyMeterMonthlyMaximumElectricPowerDemand = 0xC1,
    EPCHvSmartElectricEnergyMeterCumulativeMaximumElectricPowerDemand = 0xC2,
    EPCHvSmartElectricEnergyMeterAverageElectricPowerDemand = 0xC3,
    EPCHvSmartElectricEnergyMeterNumberOfEffectiveDigitsOfElectricPowerDemand = 0xC4,
    EPCHvSmartElectricEnergyMeterUnitOfElectricPowerDemand = 0xC5,
    EPCHvSmartElectricEnergyMeterElectricPowerDemandLog = 0xC6,
    EPCHvSmartElectricEnergyMeterUnitOfCumulativeMaxElectricPowerDemand = 0xC7,
    EPCHvSmartElectricEnergyMeterCumulativeReactiveElectricEnergy = 0xCA,
    EPCHvSmartElectricEnergyMeterCumulativeReactiveElectricEnergyAtEvery30Min = 0xCB,
    EPCHvSmartElectricEnergyMeterNumberOfEffectiveDigitsForCumulativeReactiveElectricPowerConsumptionLagOfPowerFactor = 0xCC,
    EPCHvSmartElectricEnergyMeterUnitOfCumulativeReactiveElectricPowerConsumptionLag = 0xCD,
    EPCHvSmartElectricEnergyMeterCumulativeReactiveElectricEnergyLog = 0xCE,
    EPCHvSmartElectricEnergyMeterCoefficient = 0xD3,
    EPCHvSmartElectricEnergyMeterMultiplyingFactorForCoefficient = 0xD4,
    EPCHvSmartElectricEnergyMeterFixedDate = 0xE0,
    EPCHvSmartElectricEnergyMeterDayForTheHistoricalDataOfCumulativeElectricEnergy = 0xE1,
    EPCHvSmartElectricEnergyMeterCumulativeActiveElectricEnergy = 0xE2,
    EPCHvSmartElectricEnergyMeterCumulativeActiveElectricEnergyAtEvery30Min = 0xE3,
    EPCHvSmartElectricEnergyMeterCumulativeActiveElectricEnergyForPowerFactor = 0xE4,
    EPCHvSmartElectricEnergyMeterNumberOfEffectiveDigitsForCumulativeActiveElectricEnergy = 0xE5,
    EPCHvSmartElectricEnergyMeterUnitOfCumulativeEffectiveElectricEnergy = 0xE6,
    EPCHvSmartElectricEnergyMeterActiveElectricEnergyLog = 0xE7,
    EPCSmartElectricEnergySubMeterCoefficientForElectricEnergy = 0xD3,
    EPCSmartElectricEnergySubMeterUnitForCumulativeElectricEnergy = 0xD4,
    EPCSmartElectricEnergySubMeterNumberOfEffectiveDigitsCumulativeElectricEnergy = 0xD7,
    EPCSmartElectricEnergySubMeterCoefficientForElectricCurrent = 0xD8,
    EPCSmartElectricEnergySubMeterCoefficientForVoltage = 0xD9,
    EPCSmartElectricEnergySubMeterDayForTheHistoricalDataOfCumulativeElectricEnergy = 0xE0,
    EPCSmartElectricEnergySubMeterNormalDirectionCumulativeElectricEnergy = 0xE1,
    EPCSmartElectricEnergySubMeterNormalDirectionCumulativeElectricEnergyLog = 0xE2,
    EPCSmartElectricEnergySubMeterReverseDirectionCumulativeElectricEnergy = 0xE3,
    EPCSmartElectricEnergySubMeterReverseDirectionCumulativeElectricEnergyLog = 0xE4,
    EPCSmartElectricEnergySubMeterInstantaneousElectricPower = 0xE7,
    EPCSmartElectricEnergySubMeterInstantaneousCurrent = 0xE8,
    EPCSmartElectricEnergySubMeterInstantaneousVoltage = 0xE9,
    EPCSmartElectricEnergySubMeterNormalDirectionCumulativeElectricEnergyAtEvery30Min = 0xEA,
    EPCSmartElectricEnergySubMeterReverseDirectionCumulativeElectricEnergyAtEvery30Min = 0xEB,
    EPCGeneralLightingOperationStatus = 0x80,
    EPCGeneralLightingOnTimerReservation = 0x90,
    EPCGeneralLightingOnTimerTime = 0x91,
    EPCGeneralLightingOffTimerReservation = 0x94,
    EPCGeneralLightingTimeOfOffTimer = 0x95,
    EPCGeneralLightingLightLevel = 0xB0,
    EPCGeneralLightingLightColor = 0xB1,
    EPCGeneralLightingLightLevelStep = 0xB2,
    EPCGeneralLightingLightColorLevelStep = 0xB3,
    EPCGeneralLightingMaximumSpecifiableLevel = 0xB4,
    EPCGeneralLightingMaximumSettableLevelForNightLighting = 0xB5,
    EPCGeneralLightingOperationMode = 0xB6,
    EPCGeneralLightingLightLevelForMainLighting = 0xB7,
    EPCGeneralLightingLightLevelStepForMainLighting = 0xB8,
    EPCGeneralLightingLightLevelForNightLighting = 0xB9,
    EPCGeneralLightingLightLevelStepForNightLighting = 0xBA,
    EPCGeneralLightingLightColorForMainLighting = 0xBB,
    EPCGeneralLightingLightColorLevelStepForMainLighting = 0xBC,
    EPCGeneralLightingLightColorLevelForNightLighting = 0xBD,
    EPCGeneralLightingLightColorLevelStepForNightLighting = 0xBE,
    EPCGeneralLightingAutoMode = 0xBF,
    EPCGeneralLightingRgb = 0xC0,
    EPCMonoFunctionalLightingOperationStatus = 0x80,
    EPCMonoFunctionalLightingLightLevel = 0xB0,
    EPCEvChargerRatedChargeElectricPower = 0xC5,
    EPCEvChargerChargeStatus = 0xC7,
    EPCEvChargerMinimumAndMaximumChargingElectricPower = 0xC8,
    EPCEvChargerMinimumAndMaximumChargingCurrent = 0xCA,
    EPCEvChargerEquipmentType = 0xCC,
    EPCEvChargerVehicleConnectionConfirmation = 0xCD,
    EPCEvChargerChargeableCapacity = 0xCE,
    EPCEvChargerRemainingChargeableCapacity = 0xCF,
    EPCEvChargerUsedCapacity1 = 0xD0,
    EPCEvChargerRatedVoltage = 0xD2,
    EPCEvChargerInstantaneousElectricPower = 0xD3,
    EPCEvChargerCumulativeChargingElectricEnergy = 0xD8,
    EPCEvChargerResetCumulativeChargingElectricEnergy = 0xD9,
    EPCEvChargerOperationMode = 0xDA,
    EPCEvChargerRemainingCapacity1 = 0xE2,
    EPCEvChargerRemainingCapacity3 = 0xE4,
    EPCEvChargerVehicleId = 0xE6,
    EPCEvChargerTargetChargingElectricEnergy = 0xE7,
    EPCEvChargerChargingElectricPower = 0xEB,
    EPCEvChargerChargingCurrent = 0xED,
    EPCLightingSystemLightLevel = 0xB0,
    EPCLightingSystemSceneId = 0xC0,
    EPCLightingSystemMaximumNumberOfSceneId = 0xC1,
    EPCEnhancedLightingSystemLightLevel = 0xB0,
    EPCEnhancedLightingSystemSceneId = 0xC0,
    EPCEnhancedLightingSystemMaximumNumberOfSceneId = 0xC1,
    EPCEnhancedLightingSystemPowerConsumptionRateList = 0xC2,
    EPCEnhancedLightingSystemPowerConsumptionAtFullLighting = 0xC3,
    EPCEnhancedLightingSystemPowerConsumptionWillBeSaved = 0xC4,
    EPCEnhancedLightingSystemPowerConsumptionLimit = 0xC5,
    EPCEnhancedLightingSystemAutomaticOperationControlling = 0xC6,
    EPCEnhancedLightingSystemFadingControlChangeTime = 0xC7,
    EPCHybridWaterHeaterAutomaticWaterHeating = 0xB0,
    EPCHybridWaterHeaterWaterHeatingStatus = 0xB2,
    EPCHybridWaterHeaterHeaterStatus = 0xB3,
    EPCHybridWaterHeaterHotWaterSupplyModeForAuxiliaryHeatSourceMachine = 0xB6,
    EPCHybridWaterHeaterHeaterModeForAuxiliaryHeatSourceMachine = 0xB7,
    EPCHybridWaterHeaterLinkageModeForSolarPowerGeneration = 0xB8,
    EPCHybridWaterHeaterSolarPowerGenerationsUtilizationTime = 0xB9,
    EPCHybridWaterHeaterHotWaterSupplyStatus = 0xC3,
    EPCHybridWaterHeaterRemainingWater = 0xE1,
    EPCHybridWaterHeaterTankCapacity = 0xE2,
    EPCRefrigeratorQuickFreeze = 0xA0,
    EPCRefrigeratorQuickRefrigeration = 0xA1,
    EPCRefrigeratorIcemaker = 0xA4,
    EPCRefrigeratorIcemakerStatus = 0xA5,
    EPCRefrigeratorIcemakerTankStatus = 0xA6,
    EPCRefrigeratorRefrigeratorHumidification = 0xA8,
    EPCRefrigeratorVegetableHumidification = 0xA9,
    EPCRefrigeratorDeodorization = 0xAD,
    EPCRefrigeratorDoorOpenCloseStatus = 0xB0,
    EPCRefrigeratorDoorOpenWarning = 0xB1,
    EPCRefrigeratorRefrigeratorCompartmentDoorStatus = 0xB2,
    EPCRefrigeratorFreezerCompartmentDoorStatus = 0xB3,
    EPCRefrigeratorIceCompartmentDoorStatus = 0xB4,
    EPCRefrigeratorVegetableCompartmentDoorStatus = 0xB5,
    EPCRefrigeratorMultiModeCompartmentDoorStatus = 0xB6,
    EPCRefrigeratorMeasuredRefrigeratorTemperature = 0xD1,
    EPCRefrigeratorMeasuredFreezerTemperature = 0xD2,
    EPCRefrigeratorMeasuredIceTemperature = 0xD3,
    EPCRefrigeratorMeasuredVegetableTemperature = 0xD4,
    EPCRefrigeratorMeasuredMultiModeTemperature = 0xD5,
    EPCRefrigeratorCompressorRotationSpeed = 0xD8,
    EPCRefrigeratorElectricCurrentConsumption = 0xDA,
    EPCRefrigeratorRatedPowerConsumption = 0xDC,
    EPCRefrigeratorMaximumAllowableTemperatureLevel = 0xE0,
    EPCRefrigeratorRefrigeratorTemperature = 0xE2,
    EPCRefrigeratorFreezerTemperature = 0xE3,
    EPCRefrigeratorIceTemperature = 0xE4,
    EPCRefrigeratorVegetableTemperature = 0xE5,
    EPCRefrigeratorMultiModeTemperature = 0xE6,
    EPCRefrigeratorRefrigeratorTemperatureLevel = 0xE9,
    EPCRefrigeratorFreezerTemperatureLevel = 0xEA,
    EPCRefrigeratorIceTemperatureLevel = 0xEB,
    EPCRefrigeratorVegetableTemperatureLevel = 0xEC,
    EPCRefrigeratorMultiModeTemperatureLevel = 0xED,
    EPCCookingHeaterRelativeTimeOfOffTimer = 0x96,
    EPCCookingHeaterChildLock = 0xA1,
    EPCCookingHeaterRadiantHeaterLock = 0xA2,
    EPCCookingHeaterHeatingStatus = 0xB1,
    EPCCookingHeaterHeatingOperation = 0xB2,
    EPCCookingHeaterAllStop = 0xB3,
    EPCCookingHeaterHeatingModesOfStoves = 0xE0,
    EPCCookingHeaterHeatingTemperature = 0xE3,
    EPCCookingHeaterHeatingPower = 0xE7,
    EPCRiceCookerReservation = 0x90,
    EPCRiceCookerReservationTime = 0x91,
    EPCRiceCookerReservationRelativeTime = 0x92,
    EPCRiceCookerCoverStatus = 0xB0,
    EPCRiceCookerCookingStatus = 0xB1,
    EPCRiceCookerCookingControl = 0xB2,
    EPCRiceCookerWarmerOperation = 0xE1,
    EPCRiceCookerInnerPotRemoved = 0xE5,
    EPCRiceCookerCoverRemoved = 0xE6,
    EPCCommercialShowcaseOperationMode = 0xB0,
    EPCCommercialShowcaseDischargeTemperature = 0xBD,
    EPCCommercialShowcaseGroupInformation = 0xCA,
    EPCCommercialShowcaseShowcaseType = 0xD0,
    EPCCommercialShowcaseDoorType = 0xD1,
    EPCCommercialShowcaseRefrigeratorType = 0xD2,
    EPCCommercialShowcaseShapeType = 0xD3,
    EPCCommercialShowcasePurposeType = 0xD4,
    EPCCommercialShowcaseInternalLightingOperationStatus = 0xE0,
    EPCCommercialShowcaseExternalLightingOperationStatus = 0xE1,
    EPCCommercialShowcaseCompressorOperationStatus = 0xE2,
    EPCCommercialShowcaseInternalTemperature = 0xE3,
    EPCCommercialShowcaseRatedElectricPowerForFreezing = 0xE4,
    EPCCommercialShowcaseRatedElectricPowerForDefrostingHeater = 0xE5,
    EPCCommercialShowcaseRatedElectricPowerForFanMotor = 0xE6,
    EPCCommercialShowcaseHeaterOperationStatus = 0xE7,
    EPCCommercialShowcaseInsideLightingType = 0xEB,
    EPCCommercialShowcaseOutsideLightingType = 0xEC,
    EPCCommercialShowcaseTargetInsideBrightness = 0xED,
    EPCCommercialShowcaseTargetOutsideBrightness = 0xEE,
    EPCCommercialShowcaseTargetInsideTemperature = 0xEF,
    EPCWasherDryerOnTimerReservationStatus = 0x90,
    EPCWasherDryerOnTimerAbsolute = 0x91,
    EPCWasherDryerRelativeTimeOfOnTimer = 0x92,
    EPCWasherDryerDoorOpenStatus = 0xB0,
    EPCWasherDryerRunningStatus = 0xB2,
    EPCWasherDryerWasherDryerCycle1 = 0xD0,
    EPCWasherDryerWasherDryerCycle2 = 0xD1,
    EPCWasherDryerDryerCycle = 0xD2,
    EPCWasherDryerWasherDryerCycleOptions1 = 0xD3,
    EPCWasherDryerWasherDryerCycleOptions2 = 0xD4,
    EPCWasherDryerWasherDryerCycleOptions3 = 0xD5,
    EPCWasherDryerWaterFlowRate = 0xD6,
    EPCWasherDryerSpinDryingRotationSpeed = 0xD7,
    EPCWasherDryerDryingDegree = 0xD8,
    EPCWasherDryerWashingTimeRemaining = 0xDB,
    EPCWasherDryerDryingTimeRemaining = 0xDC,
    EPCWasherDryerOnTimerElapsed = 0xDF,
    EPCWasherDryerPresoakingTime = 0xE1,
    EPCWasherDryerCurrentStage = 0xE2,
    EPCWasherDryerWaterVolumeByLiter = 0xE3,
    EPCWasherDryerWaterVolumeByStep = 0xE4,
    EPCWasherDryerWashingTime = 0xE5,
    EPCWasherDryerRinsingCount = 0xE6,
    EPCWasherDryerRinsingProcess = 0xE7,
    EPCWasherDryerSpinDryingTime = 0xE8,
    EPCWasherDryerDryingTime = 0xE9,
    EPCWasherDryerWaterTemperature = 0xEA,
    EPCWasherDryerBathtubWaterRecycle = 0xEB,
    EPCWasherDryerWrinklingMinimization = 0xEC,
    EPCWasherDryerWashingDryingTimeRemaining = 0xED,
    EPCWasherDryerDoorLockStatus = 0xEE,
    EPCWasherDryerWasherAndDryerCycle = 0xEF,
    EPCCommercialShowcaseOutdoorUnitExceptionalStatus = 0xAA,
    EPCCommercialShowcaseOutdoorUnitOperationMode = 0xB0,
    EPCCommercialShowcaseOutdoorUnitOutdoorAirTemperature = 0xBE,
    EPCCommercialShowcaseOutdoorUnitGroupInformation = 0xCA,
    EPCCommercialShowcaseOutdoorUnitCompressorOperationStatus = 0xE2,
    EPCSwitchConnectedDevice = 0xE0,
    EPCControllerControllerId = 0xC0,
    EPCControllerNumberOfDevices = 0xC1,
    EPCControllerDeviceListIndex = 0xC2,
    EPCControllerDeviceId = 0xC3,
    EPCControllerDeviceType = 0xC4,
    EPCControllerName = 0xC5,
    EPCControllerConnectionStatus = 0xC6,
    EPCControllerBusinessCode = 0xC7,
    EPCControllerProductCode = 0xC8,
    EPCControllerManufactureDate = 0xC9,
    EPCControllerRenewalDate = 0xCA,
    EPCControllerRenewalVersionInformation = 0xCB,
    EPCControllerPlace = 0xCC,
    EPCControllerFaultStatusOfDevice = 0xCD,
    EPCControllerSetPropertyMapForDevice = 0xCE,
    EPCControllerGetPropertyMapForDevice = 0xCF,
    EPCControllerAddress = 0xE0,
    EPCTvOperationStatus = 0x80,
    EPCTvDisplayControlStatus = 0xB0,
    EPCTvStringSettingAcceptanceStatus = 0xB1,
    EPCTvSupportedCharacterCode = 0xB2,
    EPCTvCharacterStringPresented = 0xB3,
    EPCTvLengthOfStringAccepted = 0xB4,
} EchonetProperty;

#endif /* _ECHONET_CONSTS_H_ */
